<bugID>1324533<Summary>link timings panel to explanation</Summary><Description>I happened to notice that in the Chrome devtools network panel, their
equivalent of the timings sub-panel has a link to a web site documenting
the meanings of the various timings.  This seemed like a nice detail to me.
Ours could link to https://developer.mozilla.org/en-US/docs/Tools/Network_Monitor#Timings

Perhaps the security panel could also link to this MDN page.</Description></bugID>